cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/cardio/config" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/cardio/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/cardio/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"sports": {
"running": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"walking": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"cycling": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"rowing": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"swimming": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
}
},
"sessionTypes": [
"easy"
],
"controlModes": [
"pace"
],
"goalDistances": {
"5K": 1,
"10K": 1,
"half": 1,
"marathon": 1
},
"PLAN_TEMPLATES": {
"running": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"walking": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"cycling": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"rowing": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"swimming": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
}
},
"PLAN_VARIANTS": {
"running": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"walking": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"cycling": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"rowing": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"swimming": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
}
},
"I_LADDER": [
{
"step": 1,
"reps": 1,
"kmPerRep": 1
}
],
"T_LADDER": [
{
"step": 1,
"reps": 1,
"kmPerRep": 1
}
],
"THRESHOLD_CONTINUOUS_MINUTES": [
15
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Training preferences
Read sport configuration, goal distances and the expert template/ladders catalog
Requires the workout_settings:read scope and the corresponding Workout features and permissions.
GET
/
public
/
v1
/
workout
/
cardio
/
config
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/cardio/config" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/cardio/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/cardio/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"sports": {
"running": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"walking": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"cycling": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"rowing": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"swimming": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
}
},
"sessionTypes": [
"easy"
],
"controlModes": [
"pace"
],
"goalDistances": {
"5K": 1,
"10K": 1,
"half": 1,
"marathon": 1
},
"PLAN_TEMPLATES": {
"running": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"walking": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"cycling": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"rowing": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"swimming": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
}
},
"PLAN_VARIANTS": {
"running": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"walking": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"cycling": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"rowing": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
},
"swimming": {
"enabled": true,
"pace": {},
"zones": {},
"settings": {}
}
},
"I_LADDER": [
{
"step": 1,
"reps": 1,
"kmPerRep": 1
}
],
"T_LADDER": [
{
"step": 1,
"reps": 1,
"kmPerRep": 1
}
],
"THRESHOLD_CONTINUOUS_MINUTES": [
15
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}